changeset 5089:4cd52978e188

test-git-import: fake executable permissions.
author Patrick Mezard <pmezard@gmail.com>
date Mon, 06 Aug 2007 10:38:07 +0200
parents 7e2385a31933
children e86788af599a
files tests/test-git-import
diffstat 1 files changed, 6 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-git-import
+++ b/tests/test-git-import
@@ -44,8 +44,12 @@ copy from new
 copy to copyx
 EOF
 
-test -f copy -a ! -x copy || echo failed
-test -x copyx || echo failed
+if "$TESTDIR/hghave" -q execbit; then
+    test -f copy -a ! -x copy || echo failed
+    test -x copyx || echo failed
+else
+    test -f copy || echo failed
+fi
 cat copy
 hg cat copy